Your version of Android doesn't support Google Wallet

On 10 June 2024, Google Wallet will require Android 9 or higher on your phone and Wear OS 2.x or higher on your smartwatch.

About the version requirement & how to update

To help keep Wallet features such as tap to pay transactions more secure, we must be able to send security updates to your device. Security updates aren’t available for Android versions below 9.

To check if your device supports Android 9 or higher, learn how to check & update your Android version.

Check and update the Wear OS version on your watch

Check your watch version

  1. If your watch screen is dim, tap it to wake up the watch.
  2. To open your list of apps, press the Power button.
  3. Tap Settings and then System.
  4. Tap About and then Versions.
  5. Your watch has an OS version and a system version. To find both pieces of info:
Tip: The version number that you find on your phone is for the Wear OS app. It's not the same as your watch’s version.

Check for updates on your watch

Watch updates are often installed overnight while your watch charges. To make sure that your device gets its updates, keep your watch powered on and connected to Wi-Fi. Sometimes, you need to update your watch through the Play Store. Learn how to check for updates.

Related resources

Search
Clear search
Close search
Google apps
Main menu
5975498994882076677